## kde-spectacle 6.5.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
# Managed by release script
set(PROJECT_VERSION "6.5.0")
set(SPECTACLE_VERSION ${PROJECT_VERSION})

# Spectacle project
project(Spectacle VERSION ${SPECTACLE_VERSION})

# minimum requirements
set(PROJECT_DEP_VERSION "6.5.0")
set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

# set up standard kde build settings

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

# Set C++ standard separately from KDECompilerSettings since that is set to an older C++ standard.
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# used cmake macros

include(ECMInstallIcons)
include(ECMSetupVersion)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMFindQmlModule)

# find dependencies

find_package(
    Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED
        Core
        Concurrent
        Qml
        Quick
        QuickControls2
        QuickTemplates2
        Widgets
        DBus
        PrintSupport
        Test
        WaylandClient
        Multimedia
)
qt_policy(SET QTP0001 NEW)

if(Qt6_VERSION VERSION_EQUAL 6.8.0)
    # https://bugreports.qt.io/browse/QTBUG-129797
    message(NOTICE "Qt6_VERSION: ${Qt6_VERSION} detected. Enabling CAST_FROM_ASCII")
    remove_definitions(-DQT_NO_CAST_FROM_ASCII)
endif()

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

find_package(
    KF6 ${KF6_MIN_VERSION} REQUIRED
        CoreAddons
        WidgetsAddons
        DBusAddons
        Notifications
        Config
        I18n
        KIO
        WindowSystem
        GlobalAccel
        XmlGui
        GuiAddons
        KirigamiPlatform
        StatusNotifierItem
        Prison
        Crash
)

find_package(Wayland REQUIRED COMPONENTS Client)
find_package(PlasmaWaylandProtocols REQUIRED)
find_package(LayerShellQt REQUIRED)
find_package(KPipeWire)
find_package(OpenCV 4.7 REQUIRED core imgproc)

set_package_properties(KPipeWire PROPERTIES DESCRIPTION
    "Used to record pipewire streams into a file"
    TYPE REQUIRED
)

# optional components
find_package(KF6DocTools ${KF6_MIN_VERSION})
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)
find_package(KF6Purpose)
if (KF6Purpose_FOUND)
    set(PURPOSE_FOUND 1)
endif()

find_package(XCB COMPONENTS XFIXES IMAGE UTIL CURSOR RANDR)
set(XCB_COMPONENTS_ERRORS FALSE)
set(XCB_COMPONENTS_FOUND TRUE)
if(NOT XCB_XFIXES_FOUND)
	set(XCB_COMPONENTS_ERRORS "${XCB_COMPONENTS_ERRORS} XCB-XFIXES ")
	set(XCB_COMPONENTS_FOUND FALSE)
endif()
if(NOT XCB_IMAGE_FOUND)
	set(XCB_COMPONENTS_ERRORS "${XCB_COMPONENTS_ERRORS} XCB-IMAGE ")
	set(XCB_COMPONENTS_FOUND FALSE)
endif()
if(NOT XCB_UTIL_FOUND)
	set(XCB_COMPONENTS_ERRORS "${XCB_COMPONENTS_ERRORS} XCB-UTIL ")
	set(XCB_COMPONENTS_FOUND FALSE)
endif()
if(NOT XCB_CURSOR_FOUND)
	set(XCB_COMPONENTS_ERRORS "${XCB_COMPONENTS_ERRORS} XCB-CURSOR ")
	set(XCB_COMPONENTS_FOUND FALSE)
endif()

# fail build if none of the platform backends can be found
if (NOT XCB_FOUND OR NOT XCB_COMPONENTS_FOUND)
    message(FATAL_ERROR "No suitable backend platform was found. Currently supported platforms are: XCB Components Required: ${XCB_COMPONENTS_ERRORS}")
endif()

# setup handling of deprecated Qt & KF API

ecm_set_disabled_deprecation_versions(QT 6.7  KF 6.5.0)

# hand off to subdirectories

add_subdirectory(src)
add_subdirectory(dbus)
add_subdirectory(desktop)
add_subdirectory(icons)
add_subdirectory(kconf_update)
add_subdirectory(tests)

if (KF6DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()
ki18n_install(po)

ecm_qt_install_logging_categories(EXPORT SPECTACLE FILE spectacle.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

# summaries

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== icons/CMakeLists.txt ===
# default icons for the hicolor theme.
# have ecm install them

ecm_install_icons(
    ICONS
        sc-apps-spectacle.svg
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

qt_add_resources(spectacle "spectacle_icons"
    PREFIX "/icons"
    FILES
        256-status-media-recording-started.webp
        256-status-media-recording-pulse.webp
        256-status-media-recording.webp
)

=== debian/changelog ===
kde-spectacle (4:6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:40:31 +0100

=== debian/control ===
Source: kde-spectacle
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkcolorpicker-qt6-dev,
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6prison-dev (>= 6.18.0~),
               libkf6purpose-dev (>= 6.18.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkimageannotator-qt6-dev,
               libkirigami-dev (>= 6.18.0~),
               libkpipewire-dev (>= 6.5.0~),
               liblayershellqtinterface-dev (>= 6.5.0~),
               libopencv-core-dev,
               libopencv-dev,
               libopencv-imgproc-dev,
               libpipewire-0.3-dev,
               libwayland-dev,
               libx11-dev,
               libxcb-cursor-dev,
               libxcb-image0-dev,
               libxcb-randr0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libzxing-dev,
               pkgconf,
               plasma-wayland-protocols,
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev (>= 6.9.0~),
               qt6-multimedia-dev (>= 6.9.0~),
               qt6-svg-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.9.0~),
               qt6-wayland-dev-tools (>= 6.9.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/en/spectacle
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
Rules-Requires-Root: no

Package: kde-spectacle
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Screenshot capture utility
 Spectacle captures images of the screen. It can capture the whole screen,
 a specified region, an individual window, or only part of a window.

## kde-spectacle 6.5.0+p24.04+vstable+git20251021.0906

=== debian/changelog ===
kde-spectacle (1:6.5.0+p24.04+vstable+git20251021.0906-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 09:06:08 +0000

kde-spectacle (1:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:38:40 +0000

## kde-spectacle 6.5.0+p24.04+vstable+git20251024.0302

=== debian/changelog ===
kde-spectacle (1:6.5.0+p24.04+vstable+git20251024.0302-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 03:02:58 +0000

=== debian/control ===
Source: kde-spectacle
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami2-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-prison-dev,
               kf6-purpose-dev,
               kwayland-dev,
               libcups2-dev,
               libkf6screen-dev,
               libkpipewire-dev,
               liblayershellqtinterface-dev,
               libopencv-dev,
               libpipewire-0.3-dev,
               libwayland-dev,
               libxcb-cursor-dev,
               libxcb-image0-dev,
               libxcb-randr0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libzxing-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-wayland-protocols,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-imageformats-dev,
               qt6-multimedia-dev,
               qt6-svg-dev,
               qt6-wayland-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/kdegraphics/spectacle
Vcs-Git: https://invent.kde.org/neon/kde/spectacle.git
Vcs-Browser: https://invent.kde.org/neon/kde/spectacle
Maintainer: Neon CI <neon@kde.org>

Package: kde-spectacle
Section: graphics
Architecture: any
Depends: qml6-module-qtmultimedia, ${misc:Depends}, ${shlibs:Depends}
Suggests: obs-studio, peek, simplescreenrecorder, vokoscreen
Description: Screenshot capture utility, replaces KSnapshot
 Spectacle captures images of the screen. It can capture the whole screen,
 a specified region, an individual window, or only part of a window.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_CXX_STANDARD=20

override_dh_install:
	echo "skip dh_install"

## kde-spectacle 6.5.0+p24.04+vunstable+git20251021.0804

=== debian/changelog ===
kde-spectacle (1:6.5.0+p24.04+vunstable+git20251021.0804-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 08:04:44 +0000

## kde-spectacle 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 # Managed by release script
-set(PROJECT_VERSION "6.5.0")
+set(PROJECT_VERSION "6.5.1")
 set(SPECTACLE_VERSION ${PROJECT_VERSION})
 
 # Spectacle project
 project(Spectacle VERSION ${SPECTACLE_VERSION})
 
 # minimum requirements
-set(PROJECT_DEP_VERSION "6.5.0")
+set(PROJECT_DEP_VERSION "6.5.1")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
kde-spectacle (4:6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:49:46 +0000

=== debian/control ===
Source: kde-spectacle
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkcolorpicker-qt6-dev,
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6prison-dev (>= 6.18.0~),
               libkf6purpose-dev (>= 6.18.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkimageannotator-qt6-dev,
               libkirigami-dev (>= 6.18.0~),
               libkpipewire-dev (>= 6.5.1~),
               liblayershellqtinterface-dev (>= 6.5.1~),
               libopencv-core-dev,
               libopencv-dev,
               libopencv-imgproc-dev,
               libpipewire-0.3-dev,
               libwayland-dev,
               libx11-dev,
               libxcb-cursor-dev,
               libxcb-image0-dev,
               libxcb-randr0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libzxing-dev,
               pkgconf,
               plasma-wayland-protocols,
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev (>= 6.9.0~),
               qt6-multimedia-dev (>= 6.9.0~),
               qt6-svg-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.9.0~),
               qt6-wayland-dev-tools (>= 6.9.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/en/spectacle
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
Rules-Requires-Root: no

Package: kde-spectacle
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Screenshot capture utility
 Spectacle captures images of the screen. It can capture the whole screen,
 a specified region, an individual window, or only part of a window.

## kde-spectacle 6.5.1+p24.04+vstable+git20251029.0757

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 # Managed by release script
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 set(SPECTACLE_VERSION ${PROJECT_VERSION})
 
 # Spectacle project

=== debian/changelog ===
kde-spectacle (1:6.5.1+p24.04+vstable+git20251029.0757-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 07:57:37 +0000

kde-spectacle (1:6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:07:18 +0000

## kde-spectacle 6.5.2

=== dbus/CMakeLists.txt ===
# install the DBus service and interface files in the correct place
include(ECMGenerateDBusServiceFile)
include(ECMConfiguredInstall)

# Generate and install dbus-activated systemd service
ecm_install_configured_files(INPUT app-org.kde.spectacle.service.in DESTINATION ${KDE_INSTALL_SYSTEMDUSERUNITDIR})

ecm_generate_dbus_service_file(
   NAME org.kde.spectacle
   EXECUTABLE "${KDE_INSTALL_FULL_BINDIR}/spectacle --dbus"
   SYSTEMD_SERVICE app-org.kde.spectacle.service
   DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR}
)
ecm_generate_dbus_service_file(
   NAME org.kde.Spectacle
   EXECUTABLE "${KDE_INSTALL_FULL_BINDIR}/spectacle --dbus"
   SYSTEMD_SERVICE app-org.kde.spectacle.service
   DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR}
)

install(FILES org.kde.Spectacle.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

=== doc/CMakeLists.txt ===
# documentation

KDOCTOOLS_CREATE_HANDBOOK(
    index.docbook
        INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en
        SUBDIR spectacle
)

KDOCTOOLS_CREATE_MANPAGE(
    man-spectacle.1.docbook 1
    INSTALL_DESTINATION
    ${KDE_INSTALL_MANDIR}
)

=== debian/changelog ===
kde-spectacle (4:6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:33:27 +0100

kde-spectacle (4:6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:15:11 +0100

kde-spectacle (4:6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:59:32 +0200

=== debian/control ===
Source: kde-spectacle
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkcolorpicker-qt6-dev,
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6prison-dev (>= 6.18.0~),
               libkf6purpose-dev (>= 5.240.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkimageannotator-qt6-dev,
               libkirigami-dev (>= 6.18.0~),
               libkpipewire-dev (>= 5.240.0~),
               liblayershellqtinterface-dev (>= 5.240.0~),
               libopencv-core-dev (>= 4.7~),
               libopencv-dev,
               libopencv-imgproc-dev (>= 4.7~),
               libpipewire-0.3-dev,
               libwayland-dev,
               libx11-dev,
               libxcb-cursor-dev,
               libxcb-image0-dev,
               libxcb-randr0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libzxing-dev,
               pkgconf,
               plasma-wayland-protocols,
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev (>= 6.6.0~),
               qt6-multimedia-dev (>= 6.9.0~),
               qt6-svg-dev (>= 6.6.0~),
               qt6-wayland-dev (>= 6.9.0~),
               qt6-wayland-dev-tools (>= 6.6.0~),
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/en/spectacle
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/spectacle
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/spectacle.git

Package: kde-spectacle
Section: graphics
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Screenshot capture utility
 Spectacle captures images of the screen. It can capture the whole screen,
 a specified region, an individual window, or only part of a window.

=== debian/watch ===
Version: 5
Source: https://download.kde.org/stable/plasma/@ANY_VERSION@/
Matching-Pattern: spectacle-@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Mode: auto

## kde-spectacle 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 # Managed by release script
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 set(SPECTACLE_VERSION ${PROJECT_VERSION})
 
 # Spectacle project
 project(Spectacle VERSION ${SPECTACLE_VERSION})
 
 # minimum requirements
-set(PROJECT_DEP_VERSION "6.5.1")
+set(PROJECT_DEP_VERSION "6.5.3")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
kde-spectacle (4:6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:10:51 +0000

kde-spectacle (4:6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:15:25 +0000

=== debian/control ===
Source: kde-spectacle
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkcolorpicker-qt6-dev,
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6prison-dev (>= 6.18.0~),
               libkf6purpose-dev (>= 6.18.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkimageannotator-qt6-dev,
               libkirigami-dev (>= 6.18.0~),
               libkpipewire-dev (>= 6.5.3~),
               liblayershellqtinterface-dev (>= 6.5.3~),
               libopencv-core-dev,
               libopencv-dev,
               libopencv-imgproc-dev,
               libpipewire-0.3-dev,
               libwayland-dev,
               libx11-dev,
               libxcb-cursor-dev,
               libxcb-image0-dev,
               libxcb-randr0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libzxing-dev,
               pkgconf,
               plasma-wayland-protocols,
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev (>= 6.9.0~),
               qt6-multimedia-dev (>= 6.9.0~),
               qt6-svg-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.9.0~),
               qt6-wayland-dev-tools (>= 6.9.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/en/spectacle
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
Rules-Requires-Root: no

Package: kde-spectacle
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Screenshot capture utility
 Spectacle captures images of the screen. It can capture the whole screen,
 a specified region, an individual window, or only part of a window.

## kde-spectacle 6.5.3+p24.04+vunstable+git20251202.1052

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 # Managed by release script
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.80")
 set(SPECTACLE_VERSION ${PROJECT_VERSION})
 
 # Spectacle project
 project(Spectacle VERSION ${SPECTACLE_VERSION})
 
 # minimum requirements
-set(PROJECT_DEP_VERSION "6.5.3")
+set(PROJECT_DEP_VERSION "6.4.90")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 
@@ -90,9 +90,61 @@
 find_package(KPipeWire)
 find_package(OpenCV 4.7 REQUIRED core imgproc)
 
+# Find Tesseract for OCR functionality
+find_package(PkgConfig QUIET)
+if(PkgConfig_FOUND)
+    pkg_check_modules(TESSERACT tesseract)
+
+    if(TESSERACT_FOUND)
+        # Test if Tesseract has usable language packs
+        try_run(
+            TESSERACT_TEST_RUN_RESULT
+            TESSERACT_TEST_COMPILE_RESULT
+            ${CMAKE_CURRENT_BINARY_DIR}
+            ${CMAKE_CURRENT_SOURCE_DIR}/cmake/tesseract_test.cpp
+            LINK_LIBRARIES ${TESSERACT_LIBRARIES}
+            CMAKE_FLAGS "-DINCLUDE_DIRECTORIES=${TESSERACT_INCLUDE_DIRS}"
+            COMPILE_OUTPUT_VARIABLE TESSERACT_COMPILE_OUTPUT
+            RUN_OUTPUT_VARIABLE TESSERACT_RUN_OUTPUT
+        )
+
+        if(TESSERACT_TEST_COMPILE_RESULT AND TESSERACT_TEST_RUN_RESULT EQUAL 0)
+            message(STATUS "Tesseract OCR support enabled")
+            message(STATUS "${TESSERACT_RUN_OUTPUT}")
+            set(HAVE_TESSERACT_OCR TRUE)
+        else()
+            message(WARNING "Tesseract library found but no usable language packs detected")
+            message(WARNING "${TESSERACT_RUN_OUTPUT}")
+            message(WARNING "OCR functionality will be disabled. Install language data packages (e.g., tesseract-ocr-eng)")
+            set(HAVE_TESSERACT_OCR FALSE)
+        endif()
+    else()
+        message(STATUS "Tesseract not found - OCR functionality disabled")
+        set(HAVE_TESSERACT_OCR FALSE)
+    endif()
+
+    set_package_properties(TESSERACT PROPERTIES
+        DESCRIPTION "OCR engine for text recognition in screenshots"
+        TYPE OPTIONAL
+        PURPOSE "Enables optical character recognition functionality"
+    )
+else()
+    message(STATUS "PkgConfig not found - Tesseract detection disabled")
+    set(HAVE_TESSERACT_OCR FALSE)
+endif()
+
 set_package_properties(KPipeWire PROPERTIES DESCRIPTION
     "Used to record pipewire streams into a file"
     TYPE REQUIRED
+)
+
+ecm_find_qmlmodule(org.kde.kquickimageeditor)
+find_package(KQuickImageEditor COMPONENTS)
+set_package_properties(KQuickImageEditor PROPERTIES
+    TYPE REQUIRED
+    DESCRIPTION "Simple image editor for QtQuick applications"
+    URL "https://invent.kde.org/libraries/kquickimageeditor/"
+    PURPOSE "Add image editing capability to the screenshots"
 )
 
 # optional components

=== src/CMakeLists.txt ===
# common - configure file and version definitions

set(SPECTACLE_QML_URI "org.kde.spectacle.private")
set(SPECTACLE_QML_PATH "qrc:/qt/qml/org/kde/spectacle/private")
configure_file(Config.h.in ${CMAKE_CURRENT_BINARY_DIR}/Config.h)

# target

kconfig_add_kcfg_files(SPECTACLE_SRCS GENERATE_MOC Gui/SettingsDialog/settings.kcfgc)

ecm_qt_declare_logging_category(SPECTACLE_SRCS
    HEADER spectacle_debug.h
    IDENTIFIER SPECTACLE_LOG
    CATEGORY_NAME spectacle
    DESCRIPTION "spectacle (general)"
    EXPORT SPECTACLE
)

add_executable(spectacle)
qt_add_qml_module(spectacle URI ${SPECTACLE_QML_URI} DEPENDENCIES QtCore QtQuick)

target_sources(spectacle PRIVATE
    ${SPECTACLE_SRCS}
    CaptureModeModel.cpp
    CommandLineOptions.cpp
    ExportManager.cpp
    Geometry.cpp
    OcrManager.cpp
    Gui/CaptureWindow.cpp
    Gui/ExportMenu.cpp
    Gui/HelpMenu.cpp
    Gui/InlineMessageModel.cpp
    Gui/OptionsMenu.cpp
    Gui/RecordingModeMenu.cpp
    Gui/ScreenshotModeMenu.cpp
    Gui/Selection.cpp
    Gui/SelectionEditor.cpp
    Gui/SettingsDialog/GeneralOptionsPage.cpp
    Gui/SettingsDialog/ImageSaveOptionsPage.cpp
    Gui/SettingsDialog/OcrLanguageSelector.cpp
    Gui/SettingsDialog/SettingsDialog.cpp
    Gui/SettingsDialog/ShortcutsOptionsPage.cpp
    Gui/SettingsDialog/VideoFormatComboBox.cpp
    Gui/SettingsDialog/VideoSaveOptionsPage.cpp
    Gui/SmartSpinBox.cpp
    Gui/SpectacleMenu.cpp
    Gui/SpectacleWindow.cpp
    Gui/TextContextMenu.cpp
    Gui/ViewerWindow.cpp
    Main.cpp
    PlasmaVersion.cpp
    Platforms/ImagePlatform.cpp
    Platforms/ImagePlatformKWin.cpp
    Platforms/PlatformLoader.cpp
    Platforms/PlatformNull.cpp
    Platforms/screencasting.cpp
    Platforms/VideoPlatform.cpp
    Platforms/VideoPlatformWayland.cpp
    RecordingModeModel.cpp
    ScreenShotEffect.cpp
    ShortcutActions.cpp
    SpectacleCore.cpp
    SpectacleDBusAdapter.cpp
    VideoFormatModel.cpp
)

if(XCB_FOUND)
    target_sources(spectacle PRIVATE Platforms/ImagePlatformXcb.cpp Platforms/ImagePlatformXcb.h)

    target_link_libraries(spectacle PRIVATE
        XCB::XFIXES
        XCB::IMAGE
        XCB::CURSOR
        XCB::UTIL
        XCB::RANDR
    )
    target_link_libraries(spectacle PRIVATE Qt6::GuiPrivate) # Gui/private/qtx11extras_p.h
endif()

if (Qt6_VERSION VERSION_GREATER_EQUAL "6.8.0")
    set(private_code_option  "PRIVATE_CODE")
endif()
qt6_generate_wayland_protocol_client_sources(spectacle FILES
    ${PLASMA_WAYLAND_PROTOCOLS_DIR}/zkde-screencast-unstable-v1.xml
    ${private_code_option}
)


if(PURPOSE_FOUND)
    target_link_libraries(spectacle PRIVATE KF6::PurposeWidgets)
endif()

ki18n_wrap_ui(spectacle
    Gui/SettingsDialog/GeneralOptions.ui
    Gui/SettingsDialog/ImageSaveOptions.ui
    Gui/SettingsDialog/VideoSaveOptions.ui
)

# Needed to compile with OpenCV
target_compile_options (spectacle PRIVATE -fexceptions)

target_include_directories(spectacle PUBLIC ${OpenCV_INCLUDE_DIRS})

target_link_libraries(spectacle PRIVATE
    Qt::Concurrent
    Qt::DBus
    Qt::PrintSupport
    Qt::Qml
    Qt::Quick
    Qt::QuickControls2
    Qt::QuickTemplates2
    Qt::GuiPrivate
    Qt::WaylandClient
    KF6::CoreAddons
    KF6::DBusAddons
    KF6::WidgetsAddons
    KF6::Notifications
    KF6::ConfigCore
    KF6::I18n
    KF6::KIOWidgets
    KF6::WindowSystem
    KF6::GlobalAccel
    KF6::XmlGui
    KF6::GuiAddons
    KF6::KirigamiPlatform
    KF6::StatusNotifierItem
    KF6::PrisonScanner
    KF6::Crash
    K::KPipeWireRecord
    Wayland::Client
    LayerShellQt::Interface
    KQuickImageEditor
    ${OpenCV_LIBRARIES}
)

# Link against Tesseract when OCR support is enabled
if(HAVE_TESSERACT_OCR)
    target_include_directories(spectacle PRIVATE ${TESSERACT_INCLUDE_DIRS})
    target_link_libraries(spectacle PRIVATE ${TESSERACT_LIBRARIES})
endif()

# qt_add_qml_module doesn't know how to deal with headers in subdirectories so
# make sure to add those so the headers can be found.
target_include_directories(spectacle PRIVATE
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/Gui>"
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/Platforms>"
)

set_source_files_properties(Gui/QmlUtils.qml PROPERTIES
  QT_QML_SINGLETON_TYPE TRUE
)

qt_target_qml_sources(spectacle
    QML_FILES
    Gui/AcceptAction.qml
    Gui/AnimatedLoader.qml
    Gui/AnnotationEditor.qml
    Gui/AnnotationOptionsToolBarContents.qml
    Gui/AnnotationsToolBarContents.qml
    Gui/ButtonGrid.qml
    Gui/CancelAction.qml
    Gui/CaptureModeButtonsColumn.qml
    Gui/CaptureOptions.qml
    Gui/CaptureOverlay.qml
    Gui/CaptureSettingsColumn.qml
    Gui/CopyImageAction.qml
    Gui/CopyLocationAction.qml
    Gui/DashedOutline.qml
    Gui/DelaySpinBox.qml
    Gui/DialogPage.qml
    Gui/EditAction.qml
    Gui/EmptyPage.qml
    Gui/ExportMenuButton.qml
    Gui/FloatingBackground.qml
    Gui/FloatingToolBar.qml
    Gui/Handle.qml
    Gui/HelpMenuButton.qml
    Gui/InlineMessageList.qml
    Gui/Magnifier.qml
    Gui/NewScreenshotToolButton.qml
    Gui/OcrAction.qml
    Gui/OptionsMenuButton.qml
    Gui/Outline.qml
    Gui/QmlUtils.qml
    Gui/RecordAction.qml
    Gui/RecordingModeButtonsColumn.qml
    Gui/RecordingModeMenuButton.qml
    Gui/RecordingSettingsColumn.qml
    Gui/RecordingView.qml
    Gui/RecordOptions.qml
    Gui/SaveAction.qml
    Gui/SaveAsAction.qml
    Gui/ScreenshotModeMenuButton.qml
    Gui/ScreenshotView.qml
    Gui/ShortcutsTextBox.qml
    Gui/SizeLabel.qml
    Gui/TextContextMenuConnection.qml
    Gui/TtToolButton.qml
    Gui/UndoRedoGroup.qml
    Gui/ViewerPage.qml
)

install(TARGETS spectacle ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kde-spectacle (1:6.5.3+p24.04+vunstable+git20251202.1052-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 10:52:41 +0000

kde-spectacle (1:6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:16:13 +1000

kde-spectacle (1:6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:15:04 +1000

## kde-spectacle 6.5.3+p24.04+vunstable+git20251206.0738

=== debian/changelog ===
kde-spectacle (1:6.5.3+p24.04+vunstable+git20251206.0738-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:38:29 +0000

## kde-spectacle 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 # Managed by release script
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.4")
 set(SPECTACLE_VERSION ${PROJECT_VERSION})
 
 # Spectacle project
 project(Spectacle VERSION ${SPECTACLE_VERSION})
 
 # minimum requirements
-set(PROJECT_DEP_VERSION "6.4.90")
+set(PROJECT_DEP_VERSION "6.5.4")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 
@@ -90,61 +90,9 @@
 find_package(KPipeWire)
 find_package(OpenCV 4.7 REQUIRED core imgproc)
 
-# Find Tesseract for OCR functionality
-find_package(PkgConfig QUIET)
-if(PkgConfig_FOUND)
-    pkg_check_modules(TESSERACT tesseract)
-
-    if(TESSERACT_FOUND)
-        # Test if Tesseract has usable language packs
-        try_run(
-            TESSERACT_TEST_RUN_RESULT
-            TESSERACT_TEST_COMPILE_RESULT
-            ${CMAKE_CURRENT_BINARY_DIR}
-            ${CMAKE_CURRENT_SOURCE_DIR}/cmake/tesseract_test.cpp
-            LINK_LIBRARIES ${TESSERACT_LIBRARIES}
-            CMAKE_FLAGS "-DINCLUDE_DIRECTORIES=${TESSERACT_INCLUDE_DIRS}"
-            COMPILE_OUTPUT_VARIABLE TESSERACT_COMPILE_OUTPUT
-            RUN_OUTPUT_VARIABLE TESSERACT_RUN_OUTPUT
-        )
-
-        if(TESSERACT_TEST_COMPILE_RESULT AND TESSERACT_TEST_RUN_RESULT EQUAL 0)
-            message(STATUS "Tesseract OCR support enabled")
-            message(STATUS "${TESSERACT_RUN_OUTPUT}")
-            set(HAVE_TESSERACT_OCR TRUE)
-        else()
-            message(WARNING "Tesseract library found but no usable language packs detected")
-            message(WARNING "${TESSERACT_RUN_OUTPUT}")
-            message(WARNING "OCR functionality will be disabled. Install language data packages (e.g., tesseract-ocr-eng)")
-            set(HAVE_TESSERACT_OCR FALSE)
-        endif()
-    else()
-        message(STATUS "Tesseract not found - OCR functionality disabled")
-        set(HAVE_TESSERACT_OCR FALSE)
-    endif()
-
-    set_package_properties(TESSERACT PROPERTIES
-        DESCRIPTION "OCR engine for text recognition in screenshots"
-        TYPE OPTIONAL
-        PURPOSE "Enables optical character recognition functionality"
-    )
-else()
-    message(STATUS "PkgConfig not found - Tesseract detection disabled")
-    set(HAVE_TESSERACT_OCR FALSE)
-endif()
-
 set_package_properties(KPipeWire PROPERTIES DESCRIPTION
     "Used to record pipewire streams into a file"
     TYPE REQUIRED
-)
-
-ecm_find_qmlmodule(org.kde.kquickimageeditor)
-find_package(KQuickImageEditor COMPONENTS)
-set_package_properties(KQuickImageEditor PROPERTIES
-    TYPE REQUIRED
-    DESCRIPTION "Simple image editor for QtQuick applications"
-    URL "https://invent.kde.org/libraries/kquickimageeditor/"
-    PURPOSE "Add image editing capability to the screenshots"
 )
 
 # optional components

=== debian/changelog ===
kde-spectacle (4:6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:24:41 +0000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                libkcolorpicker-qt6-dev,
@@ -29,8 +29,8 @@
                libkf6xmlgui-dev (>= 6.18.0~),
                libkimageannotator-qt6-dev,
                libkirigami-dev (>= 6.18.0~),
-               libkpipewire-dev (>= 6.5.3~),
-               liblayershellqtinterface-dev (>= 6.5.3~),
+               libkpipewire-dev (>= 6.5.4~),
+               liblayershellqtinterface-dev (>= 6.5.4~),
                libopencv-core-dev,
                libopencv-dev,
                libopencv-imgproc-dev,

## kde-spectacle 6.5.4+p24.04+vstable+git20251231.0206

=== debian/changelog ===
kde-spectacle (1:6.5.4+p24.04+vstable+git20251231.0206-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:06:24 +0000

kde-spectacle (1:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:24:26 +1000

## kde-spectacle 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 # Managed by release script
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.5")
 set(SPECTACLE_VERSION ${PROJECT_VERSION})
 
 # Spectacle project
 project(Spectacle VERSION ${SPECTACLE_VERSION})
 
 # minimum requirements
-set(PROJECT_DEP_VERSION "6.5.4")
+set(PROJECT_DEP_VERSION "6.5.5")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
kde-spectacle (4:6.5.5-0ubuntu4) resolute; urgency=medium

  * Update build deps for Qt 6.10

 -- Rik Mills <rikmills@kde.org>  Tue, 17 Feb 2026 06:56:03 +0000

kde-spectacle (4:6.5.5-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Feb 2026 15:51:53 +0000

kde-spectacle (4:6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:54:31 +0000

kde-spectacle (4:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:10:23 +0000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                libkcolorpicker-qt6-dev,
@@ -29,8 +29,8 @@
                libkf6xmlgui-dev (>= 6.18.0~),
                libkimageannotator-qt6-dev,
                libkirigami-dev (>= 6.18.0~),
-               libkpipewire-dev (>= 6.5.4~),
-               liblayershellqtinterface-dev (>= 6.5.4~),
+               libkpipewire-dev (>= 6.5.5~),
+               liblayershellqtinterface-dev (>= 6.5.5~),
                libopencv-core-dev,
                libopencv-dev,
                libopencv-imgproc-dev,
@@ -46,13 +46,13 @@
                pkgconf,
                plasma-wayland-protocols,
                qt6-base-dev (>= 6.9.0~),
+               qt6-base-dev-tools (>= 6.10.0~),
                qt6-base-private-dev (>= 6.9.0~),
                qt6-declarative-dev (>= 6.9.0~),
                qt6-declarative-private-dev (>= 6.9.0~),
                qt6-multimedia-dev (>= 6.9.0~),
                qt6-svg-dev (>= 6.9.0~),
                qt6-wayland-dev (>= 6.9.0~),
-               qt6-wayland-dev-tools (>= 6.9.0~),
 Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/en/spectacle
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle

## kde-spectacle 6.5.5+p24.04+vstable+git20260130.0936

=== debian/changelog ===
kde-spectacle (1:6.5.5+p24.04+vstable+git20260130.0936-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:36:19 +0000

kde-spectacle (1:6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:33:35 +1000

## kde-spectacle 6.5.5+p24.04+vstable+git20260201.0345

=== debian/changelog ===
kde-spectacle (1:6.5.5+p24.04+vstable+git20260201.0345-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 03:45:19 +0000

## kde-spectacle 6.5.5+p24.04+vstable+git20260203.0851

=== debian/changelog ===
kde-spectacle (1:6.5.5+p24.04+vstable+git20260203.0851-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 08:52:01 +0000

## kde-spectacle 6.5.5+p24.04+vunstable+git20260204.0042

=== debian/changelog ===
kde-spectacle (1:6.5.5+p24.04+vunstable+git20260204.0042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 00:42:28 +0000

=== debian/control ===
Source: kde-spectacle
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami2-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-prison-dev,
               kf6-purpose-dev,
               kquickimageeditor-dev,
               kwayland-dev,
               libcups2-dev,
               libkf6screen-dev,
               libkpipewire-dev,
               liblayershellqtinterface-dev,
               libopencv-dev,
               libpipewire-0.3-dev,
               libtesseract-dev,
               libwayland-dev,
               libxcb-cursor-dev,
               libxcb-image0-dev,
               libxcb-randr0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libzxing-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-wayland-protocols,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-imageformats-dev,
               qt6-multimedia-dev,
               qt6-svg-dev,
               qt6-wayland-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/kdegraphics/spectacle
Vcs-Git: https://invent.kde.org/neon/kde/spectacle.git
Vcs-Browser: https://invent.kde.org/neon/kde/spectacle
Maintainer: Neon CI <neon@kde.org>

Package: kde-spectacle
Section: graphics
Architecture: any
Depends: qml6-module-qtmultimedia, ${misc:Depends}, ${shlibs:Depends}
Suggests: obs-studio, peek, simplescreenrecorder, vokoscreen
Description: Screenshot capture utility, replaces KSnapshot
 Spectacle captures images of the screen. It can capture the whole screen,
 a specified region, an individual window, or only part of a window.

## kde-spectacle 6.5.5+p24.04+vunstable+git20260205.0707

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 # Managed by release script
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.6.80")
 set(SPECTACLE_VERSION ${PROJECT_VERSION})
 
 # Spectacle project
 project(Spectacle VERSION ${SPECTACLE_VERSION})
 
 # minimum requirements
-set(PROJECT_DEP_VERSION "6.5.5")
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(PROJECT_DEP_VERSION "6.5.90")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -83,6 +83,9 @@
         Prison
         Crash
 )
+if (NOT TARGET KF6::PrisonScanner ) 
+    message(SEND_ERROR "Prison built without required PrisonScanner component")
+endif()
 
 find_package(Wayland REQUIRED COMPONENTS Client)
 find_package(PlasmaWaylandProtocols REQUIRED)
@@ -93,6 +96,15 @@
 set_package_properties(KPipeWire PROPERTIES DESCRIPTION
     "Used to record pipewire streams into a file"
     TYPE REQUIRED
+)
+
+ecm_find_qmlmodule(org.kde.kquickimageeditor)
+find_package(KQuickImageEditor COMPONENTS)
+set_package_properties(KQuickImageEditor PROPERTIES
+    TYPE REQUIRED
+    DESCRIPTION "Simple image editor for QtQuick applications"
+    URL "https://invent.kde.org/libraries/kquickimageeditor/"
+    PURPOSE "Add image editing capability to the screenshots"
 )
 
 # optional components

=== debian/changelog ===
kde-spectacle (1:6.5.5+p24.04+vunstable+git20260205.0707-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:07:08 +0000
